For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
  • EOR Worker Endpoints
      • GETRetrieve payslip PDF download link
LogoLogo
SupportDeel Home
EOR Worker EndpointsEOR Worker Payslips

Retrieve payslip PDF download link

GET
/eor/workers/:worker_id/payslips/:payslip_id/download
GET
/rest/v2/eor/workers/:worker_id/payslips/:payslip_id/download
$curl https://api.letsdeel.com/rest/v2/eor/workers/123e4567-e89b-12d3-a456-426614174000/payslips/pay-001/download \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "url": "https://example.com/payslip/pay-001/download"
4 }
5}

Returns a URL for downloading the specified payslip as a PDF. Token scopes: payslips:read

Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequired
The ID of the worker whose payslip download link is being requested.
payslip_idstringRequired
The ID of the specific payslip to download.

Response

Successfully retrieved the payslip download link.
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error